﻿using System;
using System.Web.Caching;
using System.Data.SqlClient;
using net.kjonigsen.services;

public static class CacheSetup
{
    public static void Init()
    {
        var depComments = new SqlCacheDependency("sayumin", "Comment");
        var depEpisodes = new SqlCacheDependency("sayumin", "Episode");
        var depNews = new SqlCacheDependency("sayumin", "News");
        
        CacheProxy.RegisterUrl("/rss/News.ashx", depNews);
        CacheProxy.RegisterUrl("/rss/Episodes.ashx", depEpisodes);
        CacheProxy.RegisterUrl("/rss/Comments.ashx", depComments);
    }
}
