﻿using System;
using System.Collections;
using System.Configuration;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Xml.Linq;

public partial class Default2 : System.Web.UI.Page
{
	protected void Page_Load(object sender, EventArgs e)
	{
		var db = new SayuminDataContext();

		var news = (from n in db.News
					where n.IsActive == true
					orderby n.Date descending
					select n).Take(10);
		this.NewsLister1.News = news;

		var episodes = (from ep in db.Episodes
						orderby ep.FetchDate descending
						select ep).Take(Globals.EpisodePerPage);
		db.DeferredLoadingEnabled = true;
		this.EpisodeLister1.Episodes = episodes;
		this.EpisodeLister1.Header = "Latest episodes";
        this.EpisodeLister1.PagerLinkPrefix = "/";
	}
}
