﻿using System;

namespace Sayumin.Common
{
    public interface IConfigurable
    {
        /// <summary>
        /// Initialises the settings based on configuration-data.
        /// </summary>
        /// <param name="Settings">Settings should be a key/pair-values seperated by semicolons with equality for assignemnt.</param>
        void InitSettings(string Settings);
    }
}
