﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Sayumin.Common
{
    public class ConsoleLogger : ILogModule
    {
        #region ILogModule Members

        public void Write(string Message)
        {
            Console.WriteLine("Info: {0}", Message);
            Console.WriteLine("");
        }

        public void WriteError(string Message)
        {
            Console.WriteLine("ERROR: {0}", Message);
            Console.WriteLine("");
        }

        public void WriteError(string Message, Exception Exception)
        {
            Console.WriteLine("ERROR: {0}", Message);
            Console.WriteLine("Details: {0}", Exception);
            Console.WriteLine("StackTrace: {0}", Exception.StackTrace);
            Console.WriteLine("");
        }

        #endregion
    }
}
