﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Sayumin.Common.DAC;

namespace Sayumin.Tests.SourceConfig
{
    public static class ObjectSources
    {
        private static SayuminDataContext db;

        static ObjectSources()
        {
            db = new SayuminDataContext();
        }

        public static Source[] GetSources()
        {
            var query = from s in db.Sources
                        orderby s.DisplayName
                        select s;

            return query.ToArray();
        }

        public static Scanner[] GetScanners()
        {
            var query = from s in db.Scanners
                        orderby s.DisplayName
                        select s;

            return query.ToArray();
        }
    }
}
