﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Windows.Forms;
using Sayumin.Common.DAC;

namespace Sayumin.Tests.SourceConfig
{
    static class Program
    {
        /// <summary>
        /// The main entry point for the application.
        /// </summary>
        [STAThread]
        static void Main()
        {
            Application.EnableVisualStyles();
            Application.SetCompatibleTextRenderingDefault(false);

            MainForm mainForm = new MainForm();

            IScheduleController controller = new ScheduleController();
            mainForm.Controller = controller;
            controller.View = mainForm;
            controller.RadioShow = new RadioShow();

            Application.Run(mainForm);
        }
    }
}
