﻿<%@ Page Language="C#" MasterPageFile="~/Sayumin.master" AutoEventWireup="true" CodeFile="NewsEdit.aspx.cs" Inherits="admin_NewsEdit" Title="sayumin.org: News-editor" %>
<%@ Reference Control="~/usercontrols/NewsViewer.ascx" %>

<asp:Content ID="Content2" ContentPlaceHolderID="cpMainContext" Runat="Server">

<h2>Edit news item</h2>

<div class="column">
    Header:<br />
    <asp:TextBox ID="txtHeader" runat="server" />
</div>

<div class="column">
    Related RadioShow:<br />
    <asp:CheckBox ID="cbRadioShows" runat="server" AutoPostBack="true" Text="" 
        oncheckedchanged="cbRadioShows_CheckedChanged" />
    <asp:DropDownList ID="ddlRadioShows" runat="server" DataSourceID="dsRadioShows" 
        DataTextField="DisplayName" DataValueField="ID" />
</div>

<div class="column">
    News item is active (visible):<br />
    <asp:CheckBox ID="cbIsActive" runat="server" Text="Is active" Checked="true" />
</div>

<h3>Content</h3>

<asp:TextBox ID="txtContent" runat="server" Width="800" Height="200" TextMode="MultiLine" />

<p>
<asp:LinkButton ID="lnkConfirm" runat="server" Text="Confirm edit" onclick="lnkConfirm_Click" />,
<asp:LinkButton ID="lnkPreview" runat="server" Text="Preview" onclick="lnkPreview_Click" />
</p>

<asp:Panel ID="pPreview" runat="server" />

<asp:LinqDataSource ID="dsRadioShows" runat="server" 
        ContextTypeName="SayuminDataContext" OrderBy="DisplayName" 
        Select="new (ID, DisplayName)" TableName="RadioShows">
</asp:LinqDataSource>

</asp:Content>

