﻿using System;
using System.Collections;
using System.Configuration;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Xml.Linq;

public partial class admin_RadioShowEdit : System.Web.UI.Page
{
	private int radioshowID;
	private SayuminDataContext db;

	protected void Page_Load(object sender, EventArgs e)
	{
		this.radioshowID = int.Parse(Request.QueryString["ID"]);
		this.db = new SayuminDataContext();

		if (!Page.IsPostBack)
		{
			this.renderRadioShow();
		}
	}

	protected void lnkConfirm_Click(object sender, EventArgs e)
	{
		var radioshow = this.getRadioShow();
		db.SubmitChanges();

		Response.Redirect("/admin/RadioShows.aspx");
	}

	protected void lnkPreview_Click(object sender, EventArgs e)
	{
		RadioShowViewer nv = (RadioShowViewer)Page.LoadControl("~/usercontrols/RadioShowViewer.ascx");
		nv.RadioShow = this.getRadioShow();
		nv.FillInData();

		this.pPreview.Controls.Add(nv);
	}

	private RadioShow getRadioShow()
	{
		var radioshow = (from n in this.db.RadioShows
						where n.ID == this.radioshowID
						select n).Single();

		radioshow.Text = this.txtContent.Text;
		return radioshow;
	}

	private void renderRadioShow()
	{
		var radioshow = (from n in this.db.RadioShows
					where n.ID == this.radioshowID
					select n).Single();

		this.litRadioShow.Text = radioshow.DisplayName;
		this.txtContent.Text = radioshow.Text;
	}
}
