﻿<%@ Page Language="C#" MasterPageFile="~/Sayumin.master" AutoEventWireup="true" CodeFile="RadioShows.aspx.cs" Inherits="admin_RadioShows" Title="sayumin.org: Manage radioshows" %>
<%@ Register src="AdminMenu.ascx" tagname="AdminMenu" tagprefix="uc1" %>

<asp:Content ID="Content2" ContentPlaceHolderID="cpMainContext" Runat="Server">

<uc1:AdminMenu ID="AdminMenu1" runat="server" />

<h2>Radioshow administration</h2>

<p>
Use this page to edit the various episode-descriptions.
</p>

<asp:GridView ID="GridView1" runat="server" AutoGenerateColumns="False" 
        DataSourceID="dsRadioshows">
    <Columns>
        <asp:BoundField DataField="DisplayName" 
            HeaderText="RadioShow" ReadOnly="True" />
        <asp:TemplateField HeaderText="Actions">
            <ItemTemplate>
                <a href="/admin/RadioShowEdit.aspx?ID=<%# Eval("ID") %>">Edit</a>
            </ItemTemplate>
        </asp:TemplateField>
    </Columns>
</asp:GridView>

<asp:LinqDataSource ID="dsRadioshows" runat="server" 
    ContextTypeName="SayuminDataContext" OrderBy="DisplayName" 
    Select="new (ID, DisplayName, Text)" TableName="Radioshows">
</asp:LinqDataSource>


</asp:Content>

