﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

public partial class FileQueue : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (false == Globals.IsIPv6())
        {
            Response.Redirect("/IPv6only.aspx");
        }

        var db = new SayuminDataContext();

        var query = from fq in db.FileQueues
                    where fq.StatusNumber < 5
                    select fq;

        queueViewer.Queue = query;
    }
}
