﻿using System;
using System.Collections;
using System.Configuration;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Xml.Linq;

public partial class NewsPage : System.Web.UI.Page
{
	protected void Page_PreInit(object sender, EventArgs e)
	{
		if (!Request.RawUrl.StartsWith("/news.aspx"))
		{
			Context.RewritePath(VirtualPathUtility.GetDirectory(Request.RawUrl) + VirtualPathUtility.GetFileName(Request.RawUrl));
		}
	}

	protected void Page_Load(object sender, EventArgs e)
	{
		var newsID = int.Parse(Request.QueryString["ID"]);

		var db = new SayuminDataContext();
		var news = (from n in db.News
					where n.ID == newsID
					select n).Single();

		this.NewsViewer1.News = news;
		this.CommentViewer1.CommentObject = news;
	}
}
