﻿using System;
using System.Collections;
using System.Collections.Generic;
using System.Configuration;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Xml.Linq;

public partial class RadioShowPage : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        int radioShowID = 0;
        int.TryParse(Request.QueryString["ID"], out radioShowID);

        var db = new SayuminDataContext();

        if (radioShowID != 0)
        {
            var radioShow = (from rs in db.RadioShows
                             where rs.ID == radioShowID
                             select rs).Single();

            this.Header.Title = "sayumin.org: " + radioShow.DisplayName;
            this.litTitle.Text = radioShow.DisplayName;

            this.EpisodeLister1.Episodes = db.GetLatestEpisodes(radioShow);
            this.EpisodeLister1.PagerLinkPrefix = string.Format("/radioshow/{0}.aspx", radioShow.Folder);
            this.RadioShowViewer1.RadioShow = radioShow;
        }
        else
        {
            this.EpisodeLister1.Episodes = db.GetLatestEpisodes();
        }
    }
}
