﻿using System;
using System.Collections;
using System.Configuration;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Xml.Linq;

public partial class RadioShows : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        var db = new SayuminDataContext();
        //var radioshows = from rs in db.RadioShows
        //                 orderby rs.DisplayName
        //                 select rs;
        //var radioshows = (from s in db.Schedules
        //                  join rs in db.RadioShows on s.RadioShowID equals rs.ID
        //                  where s.IsActive == true
        //                  select rs).Distinct().OrderBy((x) => x.DisplayName);

        var radioshows = from rs in db.RadioShows
                         where rs.Schedules.Where((s) => s.IsActive == true).Count() != 0
                         orderby rs.DisplayName
                         select rs;

        this.RadioShowLister1.RadioShows = radioshows;
    }
}
