﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Sayumin.master" AutoEventWireup="true" CodeFile="Default.aspx.cs" Inherits="themes_Default" MaintainScrollPositionOnPostback="true" %>

<asp:Content ID="Content2" ContentPlaceHolderID="cpMainContext" Runat="Server">
<% if (false){ %>
    <script type="text/javascript" src="http://media.sayumin.org/.js/jquery-1.2.6.min-vsdoc.js"></script>
<% } %>

    <h2>Themes</h2>
    <p>
    sayuming<span class="com">.org</span> now supports a wide variety of fancy themes! Whee!
    </p>
    <p>
    You can stick to the default which is cycling trough themes based on the day of the week,
    you can choose to only use one of the themes available, or you can provide your own CSS
    to make sayumin<span class="com">.org</span> look & feel exactly like you want it to.
    </p>
    <p>
    <i>Please select one of the following options:</i>
    </p>
    
    <p id="themeChoices">
    <asp:RadioButtonList ID="rbList" runat="server" RepeatLayout="Flow" onselectedindexchanged="rbList_SelectedIndexChanged">
        <asp:ListItem Value="0" Text="Webmaster's choice (cycle themes)" class="builtin weighted" />
        <asp:ListItem Value="8" Text="Minimal theme (for mobile devices)" class="builtin weighted" />
        <asp:ListItem Value="1" Text="Classic sayumin.org" class="builtin" />
        <asp:ListItem Value="2" Text="Cinderella at Mondays" class="builtin" />
        <asp:ListItem Value="3" Text="Autumn pinku" class="builtin" />
        <asp:ListItem Value="4" Text="Having a ball" class="builtin" />
        <asp:ListItem Value="5" Text="Someone give me a hug" class="builtin" />
        <asp:ListItem Value="6" Text="Tripple Perfume" class="builtin" />
        <asp:ListItem Value="7" Text="Akimoto ambush" class="builtin" />
        <asp:ListItem Value="-1" Text="Custom theme" class="custom weighted" />
    </asp:RadioButtonList>
    </p>
    
    <div id="customThemes">
    <i>For custom themes, please provide a URL:</i><br /><br />
    <asp:TextBox ID="txtCustomUrl" runat="server" />
    <asp:LinkButton ID="customApply" Text="Apply" runat="server" /><br />
    The URL will not be checked. Use blank URL for no theme at all.
    </div>

<script language="javascript" type="text/javascript">
//<![CDATA[

$(function() {
    if (! $("p#themeChoices span.custom input:checked").val()) {
        $("#customThemes").css("opacity", "0");
    }

    $("p#themeChoices span.builtin input").click(customDeselected);
    $("p#themeChoices span.custom input").click(customSelected);
});

function customDeselected()
{
    $("#customThemes").animate({ opacity: 0 }, 'fast', function() {
        $("#aspnetForm").submit();
    });
}

function customSelected()
{
    $("#customThemes").animate( { opacity: 1 }, 'fast', function() {
        $("#ctl00_cpMainContext_customUrl").focus();
    });
}

//]]>
</script>    

<p class="nofloat">
If you have an iPhone, the site also has an <a href="http://mobile.sayumin.org">iPhone version</a>
which will probably give you the best user-experience..
</p>

</asp:Content>

