﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

public partial class themes_Default : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (false == Page.IsPostBack)
        {
            int themeNumber = 0;

            HttpCookie cookie = Request.Cookies["theme"];
            if (cookie != null)
            {
                string cThemeNo = cookie["themeNumber"];
                string cThemeUrl = cookie["themeUrl"];

                int.TryParse(cThemeNo, out themeNumber);
                txtCustomUrl.Text = cThemeUrl;
            }

            try
            {
                rbList.SelectedValue = themeNumber.ToString();
            }
            catch {}
        }
    }

    protected void rbList_SelectedIndexChanged(object sender, EventArgs e)
    {
        string selection = this.rbList.SelectedValue;
        int themeNumber = 0;
        string themeUrl = string.Empty;

        if (false == int.TryParse(selection, out themeNumber))
        {
            return;
        }

        if (themeNumber == -1)
        {
            themeUrl = txtCustomUrl.Text.Trim();
        }

        HttpCookie coockie = new HttpCookie("theme");
        coockie.Domain = "sayumin.org";
        coockie.Expires = DateTime.Now.AddYears(1);

        coockie.Values.Add("themeNumber", themeNumber.ToString());
        coockie.Values.Add("themeUrl", themeUrl);

        //Response.Cookies.Set(coockie);
        Response.Cookies.Add(coockie);

        SayuminMaster master = (SayuminMaster)Page.Master;

        if (themeNumber != -1)
        {
            master.Theme = themeNumber.ToString();
        }
        else
        {
            master.Theme = themeUrl;
        }
    }
}
