﻿<%@ Control Language="C#" AutoEventWireup="true" CodeFile="EpisodeLister.ascx.cs" Inherits="EpisodeLister" EnableViewState="false" %>

<h2><asp:Literal ID="lblHeader" runat="server" Text="Episodes" /></h2>

<asp:Panel ID="pEpisodeList" runat="server">
<asp:Panel ID="pEpisodeListPreface" runat="server">
<p>
    Following episodes have passed by sayumin<span class="com">.org</span>. Older episodes may not be available for download.
</p>
</asp:Panel>

<table class="list">
<tr id="tableHeaderRow" runat="server">
    <th>Radioshow</th>
    <th class="dates">Episode</th>
    <th class="comments">Comments</th>
    <th class="actions">&nbsp;</th>
</tr>

<asp:Repeater ID="rEpisodes" runat="server">
    <ItemTemplate>
<tr>
    <td>
        <a href="<%# Globals.GetUrl((Episode)Eval("Self")) %>"><%# ((RadioShow)Eval("RadioShow")).DisplayName %></a>
    </td>
    <td>
        <a href="<%# Globals.GetUrl((Episode)Eval("Self")) %>"><%# ((DateTime)Eval("Date")).ToString("yyyy-MM-dd") %></a>
    </td>
    <td>
        <a href="<%# Globals.GetUrl((Episode)Eval("Self")) %>#comments"><%# Eval("NumCommentsString") %></a>
    </td>
    <td runat="server" id="tdActions" visible='<%# Eval("IsAvailable") %>'>
        <a href="http://media.sayumin.org/.get.php?file=<%# Eval("PublicURL") %>" title="Download">
            <img src="http://media.sayumin.org/.images/download.png" alt="Download" width="16" height="16" />
        </a>
        <a href="/stream.ashx?<%# Eval("PublicURL") %>" title="Stream">
            <img src="http://media.sayumin.org/.images/stream.png" alt="Stream" width="16" height="16" />
        </a>
    </td>
    <td runat="server" id="tdNoActions" visible='<%# !(bool)Eval("IsAvailable") %>'>
    </td>
</tr>
    </ItemTemplate>
</asp:Repeater>

<tr class="episodes" id="trEpisodes" runat="server">
    <td colspan="2" class="previous"><a ID="lnkPrevious" runat="server">&lt;&lt; Previous</a></td>
    <td colspan="2" class="next"><a ID="lnkNext" runat="server">Next &gt;&gt;</a></td>
</tr>

</table>
</asp:Panel>

<asp:Panel ID="pNoEpisodes" runat="server">
<p>
No episodes available yet.
</p>
</asp:Panel>