﻿using System;
using System.Collections;
using System.Configuration;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Xml.Linq;

public partial class NewsViewer : System.Web.UI.UserControl
{
	public News News { get; set; }

	protected void Page_Load(object sender, EventArgs e)
	{
		this.FillInData();
	}

	public void FillInData()
	{
		if (this.News == null)
		{
			return;
		}

		this.litHeader.Text = this.News.Header;
		this.litDate.Text = this.News.Date.ToString("yyyy-MM-dd");

		this.litContent.Text = WebToolkit.BBcode.BBdecode(this.News.Text);

		if (this.News.RadioShow != null)
		{
			this.lnkRelated.HRef = Globals.GetUrl(this.News.RadioShow);
			this.lnkRelated.InnerHtml = string.Format("Related to {0}.", this.News.RadioShow.DisplayName);
		}
	}
}
