﻿<%@ Control Language="C#" AutoEventWireup="true" CodeFile="QueueViewer.ascx.cs" Inherits="QueueViewer" EnableViewState="false" %>


<asp:Panel ID="pQueue" runat="server">
<asp:Panel ID="pQueuePreface" runat="server">
<p>
    <h2><asp:Literal ID="lblHeader" runat="server" Text="Current File-queue" /></h2>

    The current queue of episodes currently being processed can be seen below.
</p>
</asp:Panel>

<table id="filequeue">
<tr>
    <th>Radioshow</th>
    <th class="dates">Episode</th>
    <th class="comments">Status</th>
</tr>

<asp:Repeater ID="rQueue" runat="server">
    <ItemTemplate>
<tr>
    <td>
        <%# ((RadioShow)Eval("RadioShow")).DisplayName %>
    </td>
    <td>
        <%# ((DateTime)Eval("EpisodeDate")).ToString("yyyy-MM-dd") %>
    </td>
    <td>
        <%# ((QueueStatus)(int)Eval("StatusNumber")).ToString() %>
    </td>
</tr>
    </ItemTemplate>
</asp:Repeater>

</table>
</asp:Panel>

<asp:Panel ID="pNoQueue" runat="server">
<p>
No items in the queue.
</p>
</asp:Panel>