﻿using System;
using System.Collections;
using System.Configuration;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Xml.Linq;

public partial class RadioShowViewer : System.Web.UI.UserControl
{
    public RadioShow RadioShow { get; set; }

    protected void Page_Load(object sender, EventArgs e)
    {
		FillInData();
    }

	public void FillInData()
	{
		if (this.RadioShow == null)
		{
			this.pRadioShowInfo.Visible = false;
			return;
		}

		this.lnkSubscribe.HRef = "/rss/Episodes.ashx?ID=" + this.RadioShow.ID;
		this.lnkItunes.HRef = "/rss/Episodes-iTunes.ashx?ID=" + this.RadioShow.ID;
		this.lnkDiscuss.HRef = "/radioshowcomments.aspx?ID=" + this.RadioShow.ID;

		this.litText.Text = this.RadioShow.Text;
	}
}
