﻿<%@ Control Language="C#" AutoEventWireup="true" CodeFile="CommentViewer.ascx.cs" Inherits="CommentViewer" %>
<% if (false){ %>
    <script type="text/javascript" src="http://media.sayumin.org/.js/jquery-1.2.6.min.js"></script>
    <script type="text/javascript" src="http://media.sayumin.org/.js/jquery-1.2.6.min-vsdoc.js"></script>
<% } %>

<h2 id="comments">Comments</h2>

<div id="addComment">
    <a href="#comments" onclick="showHideForm()">Add comment</a>
</div>

<script language="javascript" type="text/javascript">
//<![CDATA[
function showHideForm() {
    $("#addComment").slideUp(100, function(){
        $("#composeComment").slideDown(200);
    });
}

// dynamic text-area size (in firefox)

function Part(textarea) {
  Part.parts.push(this);
  this.textarea = textarea;
  this.textarea.style.overflow = 'hidden';

  this.element = document.createElement('div');

  var s = this.element.style;
  s.visibility = 'hidden';
  s.position = 'absolute';
  s.zIndex = '1';
  this.textarea.parentNode.insertBefore(this.element, this.textarea);
  this.copyToElement();
  this.resizeTextarea();
}

Part.parts = [];

Part.prototype.copyToElement = function() {
  /* The non-breaking space insures Safari will resize box even when
     the last characters in the textarea are new line characters. */
  this.element.innerHTML = this.textarea.value.replace(/\n/g,'<br />') + '&nbsp;';
};

Part.prototype.resizeTextarea = function() {
  this.copyToElement();
  this.syncRegions();
  this.setTimeout();
};

Part.prototype.setTimeout = function() {
  var thisC = this;
  this.timeout = setTimeout(function() {thisC.resizeTextarea();}, 300);      
};

Part.prototype.syncRegions = function() {
  this.element.style.width = this.textarea.style.width+'px';
  this.textarea.style.height = (this.element.offsetHeight+24)+'px';
};

function find_parts() {
  var the_form = document.getElementById('aspnetForm');
  var es = the_form.elements;
  for (var i=0; i<es.length; i++) {
    if (es[i].tagName.toLowerCase() !== 'textarea') {continue;}
    new Part(es[i]);
  }
}
window.onload = find_parts;
//]]>
</script>

<div id="composeComment">

    <div class="column"><div><%-- Hack for MSIE --%>
        Name: <asp:RequiredFieldValidator ID="rfName" ControlToValidate="txtName" runat="server" Text="*" /><br />
        <asp:TextBox ID="txtName" runat="server" />
    </div></div>
    
    <div class="column"><div><%-- Hack for MSIE --%>
        Website: (optional)<br />
        <asp:TextBox ID="txtWebsite" runat="server" />
    </div></div>
    
    <div class="commentText">
        Comment: <asp:RequiredFieldValidator ID="rfComment" ControlToValidate="txtComment" runat="server" Text="*" /><br />
        <div class="commentInput">
            <asp:TextBox ID="txtComment" runat="server" TextMode="MultiLine" Height="200" />
        </div>
    </div>
    <span class="addComment">
    <asp:LinkButton ID="lnkAdd" runat="server" Text="Add comment" onclick="lnkAdd_Click" />,
    <asp:LinkButton ID="lnkPreview" runat="server" Text="Preview" onclick="lnkPreview_Click" />
    </span>
    Use of BBcode is supported.<br />
    
    <asp:Panel ID="pCommentPreview" runat="server" />
</div>

<asp:Panel ID="pCommentList" runat="server">

</asp:Panel>
<asp:Panel ID="pNoComments" runat="server">
<p>
No comments added yet.
</p>
</asp:Panel>

<p>
<a href="#" id="lnkCommentRSS" runat="server">
<img src="http://media.sayumin.org/.images/feed-small.png" width="16" height="16" alt="" />
Subscribe to this comment-thread</a>
</p>