﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Text.RegularExpressions;

namespace Sayumin.Common
{
    /// <summary>
    /// A scanner-module which uses Regex on Description-matching.
    /// </summary>
    public class RegexScanner : BaseScanner
    {
        protected override bool MatchDescription(FileEntry Entry, string Description)
        {
            return Regex.IsMatch(Entry.Description, Description);
        }
    }
}
