﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Sayumin.Common
{
    public interface ILogModule
    {
        // used for passing regular messages for mediums which support it.
        void Write(string Message);

        // used to report actual errors.
        void WriteError(string Message);
        void WriteError(string Message, Exception Exception);
    }
}
