﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Sayumin.Common;

namespace Sayumin.Modules.SayuminCawaii
{
    public class SayuminCawaiiSource : BaseSource
    {
        public SayuminCawaiiSource()
            : base()
        {
        }

        public override void InitSettings(string Settings)
        {
            base.InitSettings(Settings);

            // TODO: Consider renaming BrokenTableSource and configure like the rest if more cases like this shows up.

            if (_settings["url"] == null)
            {
                // source is unconfigured
                _settings["url"] = "http://www.sayum.in/cawaii.php";
                _settings["tagdelimiter"] = "'"; 
            }
        }

        protected override void ReformatData()
        {
            _scraper.Data = _scraper.Data.Replace("</td></tr>", "</td></tr><tr>");
        }
    }
}
