﻿<%@ Page Language="C#" MasterPageFile="~/Sayumin.master" AutoEventWireup="true" CodeFile="News.aspx.cs" Inherits="admin_News" Title="sayuming.org: Manage news" %>

<%@ Register src="AdminMenu.ascx" tagname="AdminMenu" tagprefix="uc1" %>

<asp:Content ID="Content2" ContentPlaceHolderID="cpMainContext" Runat="Server">

<uc1:AdminMenu ID="AdminMenu1" runat="server" />

<h2>News administration</h2>

<p>
<a href="/admin/NewsEdit.aspx?ID=0">Create a new news-bulletin.</a>
</p>

<p>
Filter news: <asp:TextBox ID="txtFilter" runat="server" />
<asp:Button ID="bFilter" runat="server" Text="Filter" />
</p>

<asp:GridView ID="GridView1" runat="server" AutoGenerateColumns="False" 
        DataSourceID="dsNews">
    <Columns>
        <asp:BoundField DataField="Date" DataFormatString="{0:yyyy-MM-dd}" 
            HeaderText="Date" ReadOnly="True" SortExpression="Date" />
        <asp:BoundField DataField="Header" HeaderText="Header" ReadOnly="True" 
            SortExpression="Header" />
        <asp:CheckBoxField DataField="IsActive" HeaderText="IsActive" ReadOnly="True" 
            SortExpression="IsActive" />
        <asp:TemplateField HeaderText="Actions">
            <ItemTemplate>
                <a href="/admin/NewsEdit.aspx?ID=<%# Eval("ID") %>">Edit</a>,
                <a href="/admin/NewsDelete.ashx?ID=<%# Eval("ID") %>" onclick="return alert('Are you sure?');">Delete</a>
            </ItemTemplate>
        </asp:TemplateField>
    </Columns>
</asp:GridView>

<asp:LinqDataSource ID="dsNews" runat="server" 
    ContextTypeName="SayuminDataContext" OrderBy="Date desc" 
    Select="new (ID, IsActive, Date, Header, RelatedRadioShowID)" TableName="News">
</asp:LinqDataSource>

</asp:Content>