﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

public partial class FileQueueAjax : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (false == Globals.IsIPv6())
        {
            Response.Write("<p id=\"filequeue\">This page is available to IPv6 users only.</p>");
            Response.End();
        }

        var db = new SayuminDataContext();

        var query = from fq in db.FileQueues
                    where fq.StatusNumber < 5
                    select fq;

        queueViewer.Queue = query;
    }
}
