﻿<%@ Page Language="C#" MasterPageFile="~/Sayumin.master" AutoEventWireup="true" CodeFile="Subscription-iTunes.aspx.cs" Inherits="help_Subscription_iTunes" Title="Sayumin.org : Setting up podcasts in iTunes" %>

<asp:Content ID="Content1" ContentPlaceHolderID="head" Runat="Server">
    <link rel="Stylesheet" type="text/css" href="/style/betaStuff.css" />
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="cpMainContext" Runat="Server">

<h2>Setting up podcasts in iTunes</h2>

<p>
Setting up podcasts in iTunes is made dead easy. Just click the iTunes-icon, click OK to
open the pcast-file with iTunes and it should all be done automatically, at least in the
world of Windows. I've heard the Mac-version does things differently, so just to make sure
I got it all covered, here is a guide to manually adding it.
</p>
<p>
So if automatic import for some reason doesn't work, there's no reason to despair.
Setting this up is <i>very</i> simple. In fact, all it involves is a simple
drag'n'drop operation. Really!
</p>

<h3>Step 1: Locate your feed</h3>
<p>
Browsing around the site, find the show you are interested in, and click the red RSS subscription-icon.
</p>
<p>
If your favourite browser is Opera, I'm afraid this doesn't work. Just use Firefox or Microsoft
Internet Explorer to register the feed. This should be bearable, as you only have to do this
<i>once</i>.
</p>
<p>
I haven't tested with Safari on Mac, but I can't imagine you wont be able to do a drag'n'drop on
a freakin <i>Mac</i>.
</p>
<p>
Depending on what browser you use, you should see something similar to this:
</p>
<div class="column">
    Firefox<br />
    <a href="http://media.sayumin.org/.images/help/rss-firefox.png"><img src="http://media.sayumin.org/.images/help/rss-firefox-small.png" alt="Firefox" /></a>
</div>

<div class="column">
    Microsoft Internet Explorer<br />
    <a href="http://media.sayumin.org/.images/help/rss-msie.png"><img src="http://media.sayumin.org/.images/help/rss-msie-small.png" alt="Internet Explorer" /></a>
</div>

<h3>Step 2: Import to iTunes</h3>
<p>
Make sure you have iTunes open, and then drag address-bar from your browser over the iTunes-window.
</p>
<p>
If your browser covers your iTunes-window, drag the address bar on top of the iTunes-button on the taskbar,
keep the mouse-button pressed until the iTunes windows opens up and gets focus, then drag it into the
iTunes-window.
</p>
<p>
iTunes will spend some time downloading episodes. After a while you should see something like this:
</p>
<p>
<a href="http://media.sayumin.org/.images/help/rss-iTunes.png"><img src="http://media.sayumin.org/.images/help/rss-iTunes-small.png" alt="iTunes" /></a>
</p>
<p>
For the curious people, you can also press the arrow in the list-view to see episodes registered,
downloaded or in case of older episodes, available for download.
</p>
<p>
<a href="http://media.sayumin.org/.images/help/rss-iTunes-details.png"><img src="http://media.sayumin.org/.images/help/rss-iTunes-details-small.png" alt="Detailed iTunes view" /></a>
</p>

<h3>Step 3: Enjoy!</h3>
<p>
And you're done! iTunes will now automatically download and add new episodes to the library,
and these should automatically get synched to your iPod.
</p>

<p>
Now that was awesome. Go and tell all your friends!
</p>

</asp:Content>

