﻿<%@ WebHandler Language="C#" Class="Stream" %>

using System;
using System.Web;

public class Stream : IHttpHandler {
    
    public void ProcessRequest (HttpContext context) {
        string filename = string.Format("sayumin.org-playlist-{0}.m3u", DateTime.Now.Ticks);
        
        context.Response.ContentType = "audio/x-mpegurl";
        context.Response.AddHeader("Content-Disposition", "inline;filename=" + filename);
        
        string url = context.Server.UrlDecode(context.Request.QueryString.ToString()).Replace(" ", "%20");
        context.Response.Write(url);
    }
 
    public bool IsReusable {
        get {
            return true;
        }
    }

}