﻿<%@ Control Language="C#" AutoEventWireup="true" CodeFile="NewsLister.ascx.cs" Inherits="NewsLister" EnableViewState="false" %>


<asp:Panel ID="pNewsItems" runat="server">

<table class="list">
<tr>
    <th>Topic</th>
    <th class="dates">Date</th>
    <th class="comments">Comments</th>
    <th class="actions">&nbsp;</th>
</tr>

<asp:Repeater ID="rNews" runat="server">
    <ItemTemplate>
<tr>
    <td>
        <a href="<%# Globals.GetUrl((News)Eval("Self")) %>"><%# Eval("Header") %></a>
    </td>
    <td>
        <%# ((DateTime)Eval("Date")).ToString("yyyy-MM-dd") %>
    </td>
    <td>
        <a href="<%# Globals.GetUrl((News)Eval("Self")) %>#comments"><%# Eval("NumCommentsString") %></a>
    </td>
    <td>&nbsp;</td>
</tr>
    </ItemTemplate>
</asp:Repeater>

</table>

</asp:Panel> 
<asp:Panel ID="pNoNews" runat="server">
<p>
No news items could be found.
</p>
</asp:Panel>