﻿using System;
using System.Collections;
using System.Collections.Generic;
using System.Configuration;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Xml.Linq;

public partial class NewsLister : System.Web.UI.UserControl
{
    public IEnumerable<News> News
    {
        get; set; 
    }

    protected void Page_Load(object sender, EventArgs e)
    {
        bool hasNews = (this.News != null) && this.News.Count() != 0;

		this.pNewsItems.Visible = hasNews;
		this.pNoNews.Visible = !hasNews;

        if (hasNews)
        {
			this.rNews.DataSource = this.News;
            this.rNews.DataBind();
        }
    }
}
